#ifndef LIVRO_H
#define LIVRO_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAX_TITULO 100 // Define o tamanho máximo para o título do livro
#define MAX_AUTOR 100  // Define o tamanho máximo para o nome do autor do livro
#define MAX_GENERO 100 // Define o tamanho máximo para o nome do género do livro

// Definição da estrutura Livro
typedef struct {
    char titulo[MAX_TITULO]; // Título do livro
    char autor[MAX_AUTOR];   // Autor do livro
    char genero[MAX_GENERO]; // Género do livro
    int exemplares;          // Número de exemplares disponíveis do livro
} Livro;

// Funções relacionadas a livros
void adicionarLivro(Livro **biblioteca, int *numLivros);
void removerLivro(Livro **biblioteca, int *numLivros);
void editarLivro(Livro *biblioteca, int numLivros);
void lerLivros(const char *nomeArquivo, Livro **biblioteca, int *numLivros);
void gravarLivros(const char *nomeArquivo, Livro *biblioteca, int numLivros);

#endif /* LIVRO_H */
