#ifndef RELATORIO_H
#define RELATORIO_H
#define MAX_LIVROS 100

#include "emprestimo.h"
#include "livro.h"

// Função para gerar o relatório dos 10 livros mais emprestados
void relatorioLivrosMaisEmprestados(Emprestimo *registos, int numRegistos, Livro *biblioteca, int numLivros);

// Função para gerar o relatório dos livros não devolvidos
void relatorioLivrosNaoDevolvidos(Emprestimo *registos, int numRegistos, Livro *biblioteca, int numLivros, int dataAtual);

// Função para gerar o relatório dos 10 utilizadores com mais empréstimos
void relatorioUtilizadoresMaisEmprestimos(Emprestimo *registos, int numRegistos);

#endif /* RELATORIO_H */